#
# spec file for package opentimelineio
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           opentimelineio
Version:        0.17.0
Release:        bp160.1.1
Summary:        API and interchange format for editorial timeline information
License:        Apache-2.0
URL:            https://github.com/AcademySoftwareFoundation/OpenTimelineIO
Source:         https://github.com/AcademySoftwareFoundation/OpenTimelineIO/archive/refs/tags/v0.17.0.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM
Patch0:         0001-Use-system-rapidjson.patch
Patch1:         0002-CMake-fixes.patch
BuildRequires:  cmake
%if 0%{?suse_version} == 1500
BuildRequires:  gcc13-PIE
BuildRequires:  gcc13-c++
%else
BuildRequires:  gcc-c++
%endif
BuildRequires:  cmake(RapidJSON)
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Imath)

%description
OpenTimelineIO is an interchange format and API for editorial cut information.
OTIO contains information about the order and length of cuts and references to
external media. It is not however, a container format for media.

%package -n libopentimelineio0
Summary:        API and interchange format for editorial timeline information

%description -n libopentimelineio0
OpenTimelineIO is an interchange format and API for editorial cut information.
OTIO contains information about the order and length of cuts and references to
external media. It is not however, a container format for media.

%package devel
Summary:        Development files for opentimelineio
Requires:       libopentimelineio0 = %{version}

%description devel
Development files for opentimelineio.

%prep
%autosetup -p1 -n OpenTimelineIO-%{version}
rm -r src/deps

%build
%if 0%{?suse_version} == 1500
export CXX=g++-13
%endif

%cmake -DOTIO_FIND_IMATH:BOOL=TRUE

%cmake_build

%install
%cmake_install

%check
%ctest

%ldconfig_scriptlets -n libopentimelineio0

%files -n libopentimelineio0
%license LICENSE.txt
%doc README.md
%{_libdir}/libopentime.so.*
%{_libdir}/libopentimelineio.so.*

%files devel
%{_includedir}/opentimelineio/
%{_includedir}/opentime/
%{_libdir}/cmake/opentime/
%{_libdir}/cmake/opentimelineio/
%{_libdir}/libopentime.so
%{_libdir}/libopentimelineio.so

%changelog
* Fri Mar  7 2025 Christophe Marin <christophe@krop.fr>
- Init opentimelineio
- Add patches:
  * 0001-Use-system-rapidjson.patch
  * 0002-CMake-fixes.patch
